Skip to content

PrintAWBLabel

Returns, in PDF, one or more consecutive AWBs of your account in the 6" × 4" label format: for each AWB, one label copy and the proforma invoice (3 labels per AWB).

URL

POST https://ocelot.servientrega.us/api/KiwiService20/kwapi/PrintAwbLabel
POST https://ocelotkiwi.azurewebsites.net/api/KiwiService20/kwapi/PrintAwbLabel

Parameters

Name Type Required Rules
idUser text Yes Your Kiwi username (the same one used to request the token). Note the name: idUser
password text Yes Your Kiwi password. Case sensitive
startAwb number Yes First AWB number of the range
endAwb number Yes Last AWB number of the range. For a single AWB, the same as startAwb
reportId number Yes Always 18
printInvoice boolean Yes true to include the proforma invoice
copies number No Always 1

Request example

curl -X POST "https://ocelot.servientrega.us/api/KiwiService20/kwapi/PrintAwbLabel" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "idUser": "<YOUR_USERNAME>",
    "password": "<YOUR_PASSWORD>",
    "startAwb": 8800062,
    "endAwb": 8800062,
    "reportId": 18,
    "printInvoice": true,
    "copies": 1
  }'
curl -X POST "https://ocelotkiwi.azurewebsites.net/api/KiwiService20/kwapi/PrintAwbLabel" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "idUser": "<YOUR_USERNAME>",
    "password": "<YOUR_PASSWORD>",
    "startAwb": 8800062,
    "endAwb": 8800062,
    "reportId": 18,
    "printInvoice": true,
    "copies": 1
  }'

Response example

{
  "result": true,
  "entities": [
    {
      "nameReport": "rptAWBInvoice",
      "data": "JVBERi0xLjYKJdP0zOEKNSAwIG9iago8PAovVHlwZS9QYWdlCi9..."
    }
  ],
  "messages": [
    "PDF File generated."
  ],
  "notificationType": 3
}

The fields are the same as in PrintAWB.

Notes

  • Only AWBs that belong to your account are returned.
  • Decode data from base64 and save it as a .pdf file to print it.